org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyParameter

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyParameter

All Implemented Interfaces:
  GroovyParameter

    public class SimpleGroovyParameter
    extends java.lang.Object
    implements GroovyParameter

### Constructor Summary

Constructors
Constructor and Description
`SimpleGroovyParameter(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAnnotationRef(GroovyAnnotationRef ref)`
`GroovyAnnotationRef[]` `annotations()`
`java.lang.String` `defaultValue()`
`boolean` `isTypeAvailable()`
`java.lang.String` `name()`
`void` `setDefaultValue(java.lang.String defaultValue)`
`void` `setType(GroovyType type)`
`void` `setTypeName(java.lang.String typeName)`
`void` `setVararg(boolean vararg)`
`GroovyType` `type()`
`java.lang.String` `typeName()`
`boolean` `vararg()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleGroovyParameter

    public SimpleGroovyParameter(java.lang.String name)

### Method Detail

#### defaultValue

    public java.lang.String defaultValue()

Specified by:
  `defaultValue` in interface `GroovyParameter`

#### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

#### name

    public java.lang.String name()

Specified by:
  `name` in interface `GroovyParameter`

#### typeName

    public java.lang.String typeName()

Specified by:
  `typeName` in interface `GroovyParameter`

#### setTypeName

    public void setTypeName(java.lang.String typeName)

#### annotations

    public GroovyAnnotationRef[] annotations()

Specified by:
  `annotations` in interface `GroovyParameter`

#### addAnnotationRef

    public void addAnnotationRef(GroovyAnnotationRef ref)

#### type

    public GroovyType type()

Specified by:
  `type` in interface `GroovyParameter`

#### setType

    public void setType(GroovyType type)

#### isTypeAvailable

    public boolean isTypeAvailable()

#### vararg

    public boolean vararg()

#### setVararg

    public void setVararg(boolean vararg)